@echo off

:: delims is a TAB followed by a space
FOR /F "tokens=2* delims=	 " %%A IN ('REG QUERY "HKLM\SOFTWARE\Siemens\AUTSW\STEP7" /v Path') DO SET DigsiPath=%%B

SET GPath=%DigsiPath%\P7di\GERATYPS\

echo.
echo Patching 7SD610
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.62 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.00\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.01\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.20\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.22\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.23\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.32\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.33\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.60\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD610\4.61\4.64 /f

rmdir "%GPath%7SD610\V4_6\V4_64" /S /Q

:: skip if not available
if not exist "%GPath%7SD610\V4_6\V4_62\7SD61062.psp" goto 7sd522

REG ADD HKEY_LOCAL_MACHINE\SOFTWARE\Siemens\DIGSI4\GERAETEKATALOG\SICHT\7SD\7SD610\V4.6 /v PSVersion /d 4.62 /f

attrib -r "%GPath%7SD610\V4_6\7SD610_6.*"
copy "%GPath%7SD610\V4_6\V4_62\7SD61062.ixd" "%GPath%7SD610\V4_6\7SD610_6.ixd"
copy "%GPath%7SD610\V4_6\V4_62\7SD61062.psp" "%GPath%7SD610\V4_6\7SD610_6.psp"

:7sd522

echo.
echo Patching 7SD522
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.62 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.10\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.11\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.20\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.22\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.23\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.30\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.32\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.33\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.60\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD522\4.61\4.64 /f

rmdir "%GPath%7SD522\V4_6\V4_64" /S /Q

:: skip if not available
if not exist "%GPath%7SD522\V4_6\V4_62\7SD52262.psp" goto 7sd523

REG ADD HKEY_LOCAL_MACHINE\SOFTWARE\Siemens\DIGSI4\GERAETEKATALOG\SICHT\7SD\7SD522\V4.6 /v PSVersion /d 4.62 /f

attrib -r "%GPath%7SD522\V4_6\7SD522_6.*"
copy "%GPath%7SD522\V4_6\V4_62\7SD52262.ixd" "%GPath%7SD522\V4_6\7SD522_6.ixd"
copy "%GPath%7SD522\V4_6\V4_62\7SD52262.psp" "%GPath%7SD522\V4_6\7SD522_6.psp"

:7sd523

echo.
echo Patching 7SD523
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.62 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.10\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.11\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.20\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.22\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.23\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.30\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.32\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.33\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.60\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD523\4.61\4.64 /f

rmdir "%GPath%7SD523\V4_6\V4_64" /S /Q

:: skip if not available
if not exist "%GPath%7SD523\V4_6\V4_62\7SD52362.psp" goto 7sd532

REG ADD HKEY_LOCAL_MACHINE\SOFTWARE\Siemens\DIGSI4\GERAETEKATALOG\SICHT\7SD\7SD523\V4.6 /v PSVersion /d 4.62 /f

attrib -r "%GPath%7SD523\V4_6\7SD523_6.*"
copy "%GPath%7SD523\V4_6\V4_62\7SD52362.ixd" "%GPath%7SD523\V4_6\7SD523_6.ixd"
copy "%GPath%7SD523\V4_6\V4_62\7SD52362.psp" "%GPath%7SD523\V4_6\7SD523_6.psp"

:7sd532

echo.
echo Patching 7SD532
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD532\4.62 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD532\4.30\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD532\4.32\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD532\4.33\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD532\4.60\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD532\4.61\4.64 /f

rmdir "%GPath%7SD532\V4_6\V4_64" /S /Q

:: skip if not available
if not exist "%GPath%7SD532\V4_6\V4_62\7SD53262.psp" goto 7sd533

REG ADD HKEY_LOCAL_MACHINE\SOFTWARE\Siemens\DIGSI4\GERAETEKATALOG\SICHT\7SD\7SD532\V4.6 /v PSVersion /d 4.62 /f

attrib -r "%GPath%7SD532\V4_6\7SD532_6.*"
copy "%GPath%7SD532\V4_6\V4_62\7SD53262.ixd" "%GPath%7SD532\V4_6\7SD532_6.ixd"
copy "%GPath%7SD532\V4_6\V4_62\7SD53262.psp" "%GPath%7SD532\V4_6\7SD532_6.psp"

:7sd533

echo.
echo Patching 7SD533
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD533\4.62 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD533\4.30\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD533\4.32\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD533\4.33\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD533\4.60\4.64 /f
REG DELETE HKLM\SOFTWARE\Siemens\DIGSI4\UPGRADE\7SD533\4.61\4.64 /f

rmdir "%GPath%7SD533\V4_6\V4_64" /S /Q

:: skip if not available
if not exist "%GPath%7SD533\V4_6\V4_62\7SD53362.psp" goto update

REG ADD HKEY_LOCAL_MACHINE\SOFTWARE\Siemens\DIGSI4\GERAETEKATALOG\SICHT\7SD\7SD533\V4.6 /v PSVersion /d 4.62 /f

attrib -r "%GPath%7SD533\V4_6\7SD533_6.*"
copy "%GPath%7SD533\V4_6\V4_62\7SD53362.ixd" "%GPath%7SD533\V4_6\7SD533_6.ixd"
copy "%GPath%7SD533\V4_6\V4_62\7SD53362.psp" "%GPath%7SD533\V4_6\7SD533_6.psp"

:update

REG ADD HKEY_LOCAL_MACHINE\SOFTWARE\Siemens\DIGSI4\GERAETEKATALOG\SICHT /v ProjID /t REG_DWORD /d 0 /f


echo Done...

Pause